Loading...
Searching...
No Matches
block_registry.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/basic_block.h>`
`#include <gnuradio/thread/thread.h>`
`#include <map>`
Include dependency graph for block_registry.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::block_registry

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Variables

GR_RUNTIME_API gr::block_registry | global_block_registry

## Variable Documentation

## global_block_registry

GR_RUNTIME_API gr::block_registry global_block_registry

extern

Referenced by rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_handler< T >::rpcbasic_register_handler(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), and rpcbasic_register_trigger< T >::rpcbasic_register_trigger().